
using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

// Ingame GUI class 
public class GameHUD : MonoBehaviour {
	private readonly float respawnDelay = 3f;
	
	private static GameHUD instance;
	public static GameHUD Instance {
		get {
			return instance;
		}
	}
	private bool deadState = false;
	
	void Awake() {
		instance = this;
		Application.runInBackground = true;
	}
	void Start() {
		LockAndHideCursor();
	}
	public void LockAndHideCursor() {
		Screen.showCursor = false;
		Screen.lockCursor = true;
	}
	void OnGUI() {	
		if (TimeManager.Instance == null) return;	
		GUI.Label(new Rect(Screen.width-160, 30, 150, 20), "Score list :");
		/////GUI.Label(new Rect(Screen.width-160, 30, 150, 20), "Score list: ");
		int pos = 50;
		foreach (KeyValuePair<string, int> score in PlayerScore.Instance.Scores) {
			GUI.Label(new Rect(Screen.width-160, pos, 300, 20), score.Key+" --> "+score.Value);
			pos +=20;
		}
	}
	
	void Update() {		
	
		if (Input.GetButton("Escape")) {
			Screen.showCursor = true;
			Screen.lockCursor = false;
		} 
		else if (Input.GetMouseButtonDown (0) || Input.GetMouseButtonDown(1)) {
		LockAndHideCursor();
		}	
		
		if (deadState && Input.GetMouseButtonDown(0)) {
			deadState = false;
			NetworkManager.Instance.SendSpawnRequest();
		}
	}
		
	private IEnumerator SetDeadState() {
		yield return new WaitForSeconds(respawnDelay);
		deadState = true;
	}
		
	
}

