using UnityEngine;
using System.Collections;

// Performs shooting
public class ShotController : MonoBehaviour {

	private static ShotController instance;
	public static ShotController Instance {
		get {
			return instance;
		}
	}

	
	void Awake() {
		instance = this;
	}
		
	// Update is called once per frame
	void Update () {
	
		CheckRaycastWithEnemy();
	}

	
	/// <summary>
	/// This method checks raycast with enemy to display the information about him
	/// </summary>
	private void CheckRaycastWithEnemy() {
		Ray ray = Camera.main.ViewportPointToRay(new Vector3(0.5f, 0.5f, 0));
		RaycastHit hit;
		if (Physics.Raycast (ray, out hit, Mathf.Infinity, 1<<(int)GameLayers.TargetLayer)) {
			hit.collider.SendMessage("RaycastMessage", SendMessageOptions.DontRequireReceiver);
			
		}
	}
		
}
